This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 728986 - Autosubscribe not subscribing to everything
Autosubscribe not subscribing to everything
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: Bryan Kearney
J.C. Molet
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-08-08 10:54 EDT by J.C. Molet
Modified: 2013-01-10 05:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 12:23:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description J.C. Molet 2011-08-08 10:54:35 EDT
Description of problem:
When autosubscribe is invoked in subscription-manager (gui or cli) it seems to only subscribe for the first product then quits.

Version-Release number of selected component (if applicable):
subscription-manager-gnome-0.96.5-1.git.6.680bb38.el6.x86_64
subscription-manager-0.96.5-1.git.6.680bb38.el6.x86_64
subscription-manager-firstboot-0.96.5-1.git.6.680bb38.el6.x86_64
python-rhsm-0.96.8-1.git.0.e548142.el6.noarch


How reproducible:
always?

Steps to Reproduce:
1. install rhsm
2. make sure your products directory contains several products that have valid subscriptions out there.
   - Using the candlepin test data I've populated my products directory with all 24 products that are associated with a valid subscription
3. subscription-manager register --user=tesuser1 --password=password --org=admin --auto
  
Actual results:
Only Awesome OS for x86_64 Bits is subscribed.

[root@jmolet-vm0 ~]# subscription-manager register --user=testuser1 --password=password --org=admin --auto
The system has been registered with id: 69539881-e3f9-446a-87b2-99fb545286e6 
Installed Product Current Status:

ProductName:         	Awesome OS for x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for S390X Bits
Status:               	Not Subscribed           


ProductName:         	Load Balancing Bits      
Status:               	Not Subscribed           


ProductName:         	Awesome OS Scalable Filesystem Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86_64/ALL Bits for ZERO sockets
Status:               	Not Subscribed           


ProductName:         	Management Bits          
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86_64/ALL Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86_64/s390x Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for ia64 Bits 
Status:               	Not Subscribed           


ProductName:         	Shared Storage Bits      
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86/x64_64 Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS Workstation Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for ppc64 Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for z80/ALL Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS Server Bits   
Status:               	Not Subscribed           


ProductName:         	Awesome OS for i686/x86_64 Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for i386 Bits 
Status:               	Not Subscribed           


ProductName:         	Clustering Bits          
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86 Bits  
Status:               	Not Subscribed           


ProductName:         	Awesome OS for Intel x86_64/i686/ia64 Bits
Status:               	Not Subscribed           


ProductName:         	Large File Support Bits  
Status:               	Not Subscribed           


ProductName:         	Awesome OS for z80/x86_64 Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390 Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS Modifier Bits 
Status:               	Not Subscribed           



Expected results:
All of the above products should be subscribed.

Additional info:
This is a regression.
Comment 1 Devan Goodwin 2011-09-14 08:48:07 EDT
This should get cleaned up as a result of the healing work. Most of the javascript involved had to be rewritten, and we did see things in there where if a stacking product came into play it could wipe out the whole list of all other pools to entitle from.
Comment 2 James Bowes 2011-10-03 11:47:44 EDT
fixed in candlepin master, 65a89acd
Comment 5 J.C. Molet 2011-10-05 10:39:59 EDT
verified against 

[root@mgmt5 candlepin]# git show
commit 5340dfd5b25440d227ee22940da712516a4989bb


python-rhsm-0.96.13-1.git.0.a237980.el6.noarch
subscription-manager-firstboot-0.96.13-1.git.0.b1b0502.el6.x86_64
subscription-manager-0.96.13-1.git.0.b1b0502.el6.x86_64
subscription-manager-gnome-0.96.13-1.git.0.b1b0502.el6.x86_64


[root@jmolet-vm0 ~]# subscription-manager subscribe --auto
Installed Product Current Status:

ProductName:         	Awesome OS for S390 Bits 
Status:               	Not Subscribed           


ProductName:         	Stackable with Awesome OS for x86_64 Bits
Status:               	Subscribed               


ProductName:         	Red Hat Linux 4.0        
Status:               	Not Subscribed           


ProductName:         	Awesome OS Developer Basic
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for z80/x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for z80/ALL Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/ALL Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/ALL Bits for ZERO sockets
Status:               	Subscribed               


ProductName:         	Red Hat Open Dos         
Status:               	Not Subscribed           


ProductName:         	Awesome OS Workstation Bits
Status:               	Subscribed               


ProductName:         	Multiplier Product Bits  
Status:               	Not Subscribed           


ProductName:         	Awesome OS Developer Bits
Status:               	Not Subscribed           


ProductName:         	Management Bits          
Status:               	Subscribed               


ProductName:         	Large File Support Bits  
Status:               	Subscribed               


ProductName:         	Awesome OS Modifier Bits 
Status:               	Subscribed               


ProductName:         	Clustering Bits          
Status:               	Subscribed               


ProductName:         	Shared Storage Bits      
Status:               	Subscribed               


ProductName:         	Awesome OS Server Bits   
Status:               	Subscribed               


ProductName:         	Awesome OS Premium Architecture Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for ia64 Bits 
Status:               	Subscribed               


ProductName:         	Awesome OS for i686/x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for z80 Bits  
Status:               	Not Subscribed           


ProductName:         	Awesome OS for i686 Bits 
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for ppc64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for S390X Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for i386 Bits 
Status:               	Subscribed               


ProductName:         	Awesome OS for x86 Bits  
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/s390x Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for Intel x86_64/i686/ia64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86/x64_64 Bits
Status:               	Subscribed               


ProductName:         	Flexible Hypervisor(Physical Servers-Unlimited)
Status:               	Not Subscribed           


ProductName:         	Flexible Hypervisor(Premium Architectures-15-pack)
Status:               	Not Subscribed           


ProductName:         	This product makes RHEL-server 50% more RHEL!
Status:               	Not Subscribed           


ProductName:         	This product makes mkt RHEL-server 50% more awesome
Status:               	Not Subscribed           


ProductName:         	Awesome OS Scalable Filesystem Bits
Status:               	Subscribed               


ProductName:         	Load Balancing Bits      
Status:               	Subscribed               

[root@jmolet-vm0 ~]# ls /etc/pki/entitlement/
2377893947489220621-key.pem  3003769823593497447-key.pem  3427504881581507364-key.pem  7645342567805069766-key.pem  8543563159838905421-key.pem
2377893947489220621.pem      3003769823593497447.pem      3427504881581507364.pem      7645342567805069766.pem      8543563159838905421.pem
2490545921112584114-key.pem  3082987171561264015-key.pem  3565819033079715230-key.pem  8057380876877774949-key.pem  8880438772390933480-key.pem
2490545921112584114.pem      3082987171561264015.pem      3565819033079715230.pem      8057380876877774949.pem      8880438772390933480.pem
2744059236859184075-key.pem  313039718748127576-key.pem   6335958323802126028-key.pem  831615461229144201-key.pem   960141293169035016-key.pem
2744059236859184075.pem      313039718748127576.pem       6335958323802126028.pem      831615461229144201.pem       960141293169035016.pem
[root@jmolet-vm0 ~]# vim output1.txt
[root@jmolet-vm0 ~]# subscription-manager subscribe --auto
Installed Product Current Status:

ProductName:         	Awesome OS for S390 Bits 
Status:               	Not Subscribed           


ProductName:         	Stackable with Awesome OS for x86_64 Bits
Status:               	Subscribed               


ProductName:         	Red Hat Linux 4.0        
Status:               	Not Subscribed           


ProductName:         	Awesome OS Developer Basic
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for z80/x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for z80/ALL Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/ALL Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/ALL Bits for ZERO sockets
Status:               	Subscribed               


ProductName:         	Red Hat Open Dos         
Status:               	Not Subscribed           


ProductName:         	Awesome OS Workstation Bits
Status:               	Subscribed               


ProductName:         	Multiplier Product Bits  
Status:               	Not Subscribed           


ProductName:         	Awesome OS Developer Bits
Status:               	Not Subscribed           


ProductName:         	Management Bits          
Status:               	Subscribed               


ProductName:         	Large File Support Bits  
Status:               	Subscribed               


ProductName:         	Awesome OS Modifier Bits 
Status:               	Subscribed               


ProductName:         	Clustering Bits          
Status:               	Subscribed               


ProductName:         	Shared Storage Bits      
Status:               	Subscribed               


ProductName:         	Awesome OS Server Bits   
Status:               	Subscribed               


ProductName:         	Awesome OS Premium Architecture Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for ia64 Bits 
Status:               	Subscribed               


ProductName:         	Awesome OS for i686/x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for z80 Bits  
Status:               	Not Subscribed           


ProductName:         	Awesome OS for i686 Bits 
Status:               	Not Subscribed           


ProductName:         	Awesome OS for x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for ppc64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for S390X Bits
Status:               	Not Subscribed           


ProductName:         	Awesome OS for i386 Bits 
Status:               	Subscribed               


ProductName:         	Awesome OS for x86 Bits  
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/s390x Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for Intel x86_64/i686/ia64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86/x64_64 Bits
Status:               	Subscribed               


ProductName:         	Flexible Hypervisor(Physical Servers-Unlimited)
Status:               	Not Subscribed           


ProductName:         	Flexible Hypervisor(Premium Architectures-15-pack)
Status:               	Not Subscribed           


ProductName:         	This product makes RHEL-server 50% more RHEL!
Status:               	Not Subscribed           


ProductName:         	This product makes mkt RHEL-server 50% more awesome
Status:               	Not Subscribed           


ProductName:         	Awesome OS Scalable Filesystem Bits
Status:               	Subscribed               


ProductName:         	Load Balancing Bits      
Status:               	Subscribed               

[root@jmolet-vm0 ~]# ls /etc/pki/entitlement/
2377893947489220621-key.pem  3003769823593497447-key.pem  3427504881581507364-key.pem  7645342567805069766-key.pem  8543563159838905421-key.pem
2377893947489220621.pem      3003769823593497447.pem      3427504881581507364.pem      7645342567805069766.pem      8543563159838905421.pem
2490545921112584114-key.pem  3082987171561264015-key.pem  3565819033079715230-key.pem  8057380876877774949-key.pem  8880438772390933480-key.pem
2490545921112584114.pem      3082987171561264015.pem      3565819033079715230.pem      8057380876877774949.pem      8880438772390933480.pem
2744059236859184075-key.pem  313039718748127576-key.pem   6335958323802126028-key.pem  831615461229144201-key.pem   960141293169035016-key.pem
2744059236859184075.pem      313039718748127576.pem       6335958323802126028.pem      831615461229144201.pem       960141293169035016.pem
[root@jmolet-vm0 ~]# vim output2.txt


[root@jmolet-vm0 ~]# diff output1.txt output2.txt 
161a162
> 
[root@jmolet-vm0 ~]# 


Lack of difference in the output diffs show that no new products were subscribed to on the second invocation of autosubscribe.  Marking this VERIFIED.
Comment 6 J.C. Molet 2011-10-05 10:48:26 EDT
Woops, I had two bugs open and commented on the wrong one... handily enough the fact that I was able to auto-subscribe at all for this proves that autosubscribe is working.  

recreating a similar scenario to what caused the original bug, where sub-man only has products that can be associated with a valid subscription:

[root@jmolet-vm0 ~]# subscription-manager unregister
System has been un-registered.
[root@jmolet-vm0 ~]# subscription-manager register --user testuser1 --pass password --org admin
The system has been registered with id: 45e3fa4c-c849-4448-bd8a-30755ce017d5 
[root@jmolet-vm0 ~]# subscription-manager subscribe --auto
Installed Product Current Status:

ProductName:         	Stackable with Awesome OS for x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for z80/x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for z80/ALL Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/ALL Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/ALL Bits for ZERO sockets
Status:               	Subscribed               


ProductName:         	Management Bits          
Status:               	Subscribed               


ProductName:         	Large File Support Bits  
Status:               	Subscribed               


ProductName:         	Awesome OS Modifier Bits 
Status:               	Subscribed               


ProductName:         	Clustering Bits          
Status:               	Subscribed               


ProductName:         	Shared Storage Bits      
Status:               	Subscribed               


ProductName:         	Awesome OS Server Bits   
Status:               	Subscribed               


ProductName:         	Awesome OS for ia64 Bits 
Status:               	Subscribed               


ProductName:         	Awesome OS for i686/x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for ppc64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for i386 Bits 
Status:               	Subscribed               


ProductName:         	Awesome OS for x86 Bits  
Status:               	Subscribed               


ProductName:         	Awesome OS for x86_64/s390x Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for Intel x86_64/i686/ia64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS for x86/x64_64 Bits
Status:               	Subscribed               


ProductName:         	Awesome OS Scalable Filesystem Bits
Status:               	Subscribed               


ProductName:         	Load Balancing Bits      
Status:               	Subscribed               

[root@jmolet-vm0 ~]# subscription-manager facts --list | grep system.entitlements_valid
system.entitlements_valid: True


leaving this verified.
Comment 7 errata-xmlrpc 2011-12-06 12:23:15 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1695.html

Note You need to log in before you can comment on or make changes to this bug.